<?php
/*	
*	---------------------------------------------------------------------
*	Mag child theme functions
*	--------------------------------------------------------------------- 
*/

// Theme setup
add_action('wp_enqueue_scripts', 'mag_child_enqueue_styles');
function mag_child_enqueue_styles()
{
	wp_enqueue_style('parent-style', get_template_directory_uri() . '/style.css');
}

if (!function_exists('mnky_excerpt_length')) {
	function mnky_excerpt_length($length)
	{
		return 40;
	}
}
add_filter('excerpt_length', 'mnky_excerpt_length');

if (!function_exists('mnky_excerpt_more')) {
	function mnky_excerpt_more($more)
	{
		return ' &hellip; <a href="#">' . __('Read more', 'mag') . '</a>';
	}
}
add_filter('excerpt_more', 'mnky_excerpt_more');

// Posted time display function
if (!function_exists('mnky_post_time')) {
	function mnky_post_time()
	{
		if (ot_get_option('custom_post_date_time') == 'on') {
			global $post;
			$date = $post->post_date;
			$time = get_post_time('G', true, $post);
			$mnkytime = time() - $time;
			if ($mnkytime < 60) {
				$mnkytimestamp = __('Just now', 'mag-child');
			} elseif ($mnkytime < 604800) {
				$mnkytimestamp = sprintf(__('%s ago', 'mag-child'), human_time_diff($time));
			} else {
				$mnkytimestamp = sprintf(__('%1$s %2$s', 'mag-child'), get_the_date(), get_the_time());
			}
			return $mnkytimestamp;
		} else {
			$mnkytimestamp = sprintf(__('%1$s %2$s', 'mag-child'), get_the_date(), '');
			return $mnkytimestamp;
		}
	}
}

if (!function_exists('mnky_post_meta')) {
	function mnky_post_meta()
	{

		if (ot_get_option('post_date') == 'off' && ot_get_option('post_author') == 'off') return;

		echo '<div class="entry-meta">';

		if (ot_get_option('post_author') != 'off') {
			echo '<span class="meta-author-image">' . get_avatar(get_the_author_meta('ID'), 60) . '</span>';
			echo '<a class="meta-author url" href="' . esc_url(get_author_posts_url(get_the_author_meta('ID'))) . '" title="' . esc_attr(sprintf(__('View all posts by %s', 'mag-child'), get_the_author())) . '" rel="author"><span itemprop="author" itemscope itemtype="http://schema.org/Person"><span itemprop="name">' . get_the_author() . '</span></span></a>';
		}

		if (ot_get_option('post_date') != 'off') {
			echo '<span class="meta-date"><time class="published" datetime="' . esc_attr(get_the_date('c')) . '" itemprop="datePublished">' . esc_html(trim(mnky_post_time())) . '</time><time class="meta-date-modified updated" datetime="' . esc_attr(get_the_modified_date('c')) . '" itemprop="dateModified">' . esc_attr(get_the_modified_date()) . '</time></span>';
		}

		echo '</div>';
	}
}


add_action('wp_dashboard_setup', 'volo_dashboard_setup');
function volo_dashboard_setup()
{
	global $wp_meta_boxes;
	unset($wp_meta_boxes['dashboard']);
}

add_filter('use_block_editor_for_post', '__return_false', 10);
